Package: groovy.lang

## Interface GroovyObject

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `MetaClass` | `getMetaClass()` Obtains a MetaClass for an object either from the registry or in the case of a GroovyObject from the object itself.
    `void` | `setMetaClass(MetaClass metaClass)` Sets the metaclass for a `GroovyObject`.

- - ### Methods Detail

    - #### public MetaClass getMetaClass()

      Obtains a MetaClass for an object either from the registry or in the case of a GroovyObject from the object itself.

      Returns:
        The MetaClass
      Since:
        1.6.0

    - #### public void setMetaClass(MetaClass metaClass)

      Sets the metaclass for a `GroovyObject`.

      Parameters:
        `metaClass` - the new metaclass value
      Since:
        2.0.0